Bug 459679 - wget --mirror failing to retrieve files on FTP site
wget --mirror failing to retrieve files on FTP site
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: wget (Show other bugs)
5.2
i386 Linux
medium Severity high
: rc
: ---
Assigned To: Karsten Hopp
https://bugzilla.redhat.com/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-21 01:15 EDT by Dmitry Bolkhovityanov
Modified: 2016-03-22 09:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Bolkhovityanov 2008-08-21 01:15:45 EDT
Description of problem:
The bug #223754 "wget --mirror fails to retrieve files on FTP site" still applies to wget shipped with RHEL.

Version-Release number of selected component (if applicable):
1.10.2-7

How reproducible:
Always

Additional info:
See https://bugzilla.redhat.com/show_bug.cgi?id=223754
Comment 5 Petr Šplíchal 2009-06-19 09:36:15 EDT
Note: While trying to reproduce the issue, I've discovered
a quite simple workaround: Without the trailing slash, the
--mirror option works ok:

wget -d --mirror ftp://filearena.net/pub/ubcd/3.4

[Just omit the slash at the end of the url :-]
Comment 7 Dmitry Bolkhovityanov 2009-06-25 01:29:27 EDT
Well, omitting slash will probably help, but it would break -np (--no-parent) for sure :-)
Last versions of wget sometimes behave unpredictably, so I'm not sure whether -np will affect ftp urls or they don't ascend anyway ;)
Comment 8 Petr Šplíchal 2009-06-25 03:06:49 EDT
I believe, the --no-parent option does not have any effect while
wgetting recursively. AFAIK, it makes sense only together with
--page-requisites option which pulls linked content from pages.

While fetching the ftp directory recursively there's no point
accessing parent directories, even soft links are not followed:

/var/ftp/pub/
`-- parent
    `-- 1
        |-- 2
        |   |-- 3
        |   `-- file.txt -> ../file.txt
        `-- file.txt

$ wget --mirror ftp://localhost/pub/parent/1/2
$ tree
.
`-- localhost
    `-- pub
        `-- parent
            `-- 1
                `-- 2
                    |-- 3
                    `-- file.txt -> ../file.txt

Anyway, I've verified the new wget works well regardless the trailing slash:
:: [   LOG    ] :: Installed wget-1.11.4-2.el5.i386
:: [   PASS   ] :: Running 'wget --mirror ftp://localhost/pub/wget/'
:: [   PASS   ] :: File wget/file0.txt should exist
:: [   PASS   ] :: File wget/level1/file1.txt should exist
:: [   PASS   ] :: File wget/level1/level2/file2.txt should exist
:: [   PASS   ] :: File wget/level1/level2/level3/file3.txt should exist
...
Comment 10 errata-xmlrpc 2009-09-02 05:38:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1280.html

Note You need to log in before you can comment on or make changes to this bug.